MONGOC_DATABASE_HAS_COLLECTION(3)

NAME
mongoc_database_has_collection() - None

SYNOPSIS

bool
mongoc_database_has_collection (mongoc_database_t *database,
                                const char        *name,
                                bson_error_t      *error);

This function checks to see if a collection exists on the MongoDB server within database \&.

PARAMETERS

database
    A mongoc_database_t \&.

name
    A string containing the name of the collection.

error
    An optional location for a bson_error_t or NULL \&.

ERRORS

Errors are propagated via the error parameter.

RETURNS

true is returned if the collection exists. false is returned if the collection does not exist or an error occurred.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.